//contains basic constructions of datadisc
#include <allegro.h>

using namespace std;


#include "cl_datadisc.h"

void DATADISC::init()
{
#ifdef HARD_DEBUG
	cout << "Datadisc constructor" << endl;
#endif
}

BITMAP *DATADISC::gettexture(int i)
{
	//message("fetching texture %d",i);
	if(((int)textures.size()) > i) {
	/*	if(i!=0) {
			message("Selecting texture [%d]",i);
		}*/
		return textures[i];
	} else {
		error("Texture is out of range [%d]", i);
		return NO_IMG;
	}
}

int DATADISC::texture_count()
{
	return textures.size();
}

void DATADISC::remove()
{
}

void DATADISC::set_filename(string s)
{
	fname = s;
}

string DATADISC::filename()
{
	return fname;
}


void DATADISC::set_textures(deque<BITMAP *> t)
{
	textures = t;
}

int DATADISC::tile_w()
{
	if(!textures.empty()) {
		return textures[0]->w;
	} else {
		return 0;
	}
}

int DATADISC::tile_h()
{
	if(!textures.empty()) {
		return textures[0]->h;
	} else {
		return 0;
	}
}

