//processing datadisc data

#ifndef SIRIEL_DATADISC
#define SIRIEL_DATADISC


#include <map>
#include <string>
#include <deque>
#include <iostream>

#include "define.h"
#include "variable.h"
#include "si_system.h"
#include "si_config.h"
#include "cl_anim.h"

using namespace std;

class DATADISC
{
	private:
	string fname;
	map<string, string> cfg;
		
	public:
	
	deque<BITMAP *> textures;
	void init();
	BITMAP *gettexture(int i); //texture on i-th pos
	int texture_count(); //return no. of textures
	void remove();	//remove datadisc from memory
	void set_filename(string s);
	string filename();
	void set_textures(deque<BITMAP *> t);

	int tile_w();
	int tile_h();
};


class DATASRC
{
	public:
	string 	title;
	string 	author;
	string 	engine;
	string 	file;
	string	name;
	int	internal;
};

#endif

