
#ifndef SIRIEL_ENGINE_CLASS
#define SIRIEL_ENGINE_CLASS

using namespace std;

#include <map>
#include <string>
#include <deque>

#include <allegro.h>

#include "define.h"

#include "cl_anim.h"
#include "cl_datadisc.h"
#include "cl_gameobj.h"
//#include "cl_level.h"
#include "cl_luawrapper.h"
#include "cl_panel.h"
#include "cl_event.h"
#include "cl_sound.h"
#include "cl_music.h"
#include "cl_stage.h"

#include "mi_anim.h"
//#include "mi_level.h"
#include "mi_object.h"
#include "mi_widget.h"
#include "mi_room.h"
#include "mi_datasrc.h"

#include "ex_conalleg.h"

class ENGINE
{
	BITMAP			*scr;
	
	public:
	MI_WIDGET		widget;	//Widget system interface
	MI_OBJECT		object;	//Object system interface
	MI_ANIM			anim;	//Animation system interface
//	MI_LEVEL		level;	//Level system interface
	MI_DATASRC		data;	//Datasource interface
	SOUND_DRIVER		sound;	//sound control
	EVENT_DRIVER		event;	//process events
	PANEL			panel;
	MUSIC			music;
	MI_ROOM			rooms;
	STAGE			stage;
	void init();
	void done();

	void canvas(BITMAP *b);
	
};


#endif

