//Status pannel

#ifndef SIRIEL_PANEL_HEADER
#define SIRIEL_PANEL_HEADER

#include <allegro.h>

#include "ex_drs.h"

#include "cl_gameobj.h"

#include "define.h"

using namespace std;

class PANEL
{
	private:
	int 	x, y;
	int 	xs, ys;
	GAMEOBJ *obj;	//canvas
	BITMAP 	*bmp;

	//internal panel structures
	int data_score;
	int data_energy;
	
	public:

	void init();
	void xys(int a, int b, int c, int d);
	void canvas(BITMAP *b);

	void avatar(GAMEOBJ *o);
	GAMEOBJ* avatar();
	
	void update(); //updates internal values from external object
	void refresh(); //update and draw
	
	void draw();
	void drs_rectangle();
};

#endif
