//Sound controlling object
#include <string>
#include <map>
#include <allegro.h>

#include "si_system.h"
#include "define.h"

using namespace std;

class SOUND_DRIVER
{
	map<string, SAMPLE *> data;
	int freq;			//frequency of samples
	int vol;			//global volume
	int pan;			//panning of sound
	public:
	void init();
	void load(string name, string file);
	void play(string name);
	void stop(string name);
	void destroy(string name);
};

