
#ifndef SIRIEL_UNIVERS_CLASSES
#define SIRIEL_UNIVERS_CLASSES

using namespace std;

#include <aldumb.h>

#include "cl_engine.h"
#include "cl_event.h"
#include "cl_luawrapper.h"
#include "cl_script.h"
#include "cl_cmdexpand.h"
#include "cl_config.h"

#include "ex_conalleg.h"
#include "variable.h"
#include "define.h"

class UNIVERS
{

	public:
	ENGINE		deus;
	LUA_WRAPPER	lua;
	BITMAP		*scr;
	int		redraw_screen;
	DATASRC *sel_datasrc;
	SCRIPT		script;
	EVENT_DRIVER	event;
	CMD_EXPANDER	expander;
	CONFIGURATION	*config;
	
	int univers_mode;

	void init();
	
	void bigbang();
	void bigcrunch();
//	void cast_level();
	void cast_config();
	void cast_datasrc();
	void cast_spell();

	void univers_console();
	void univers_reality();
	void univers_dialog();
	void univers_heart_beat();

	void import_datafile(const char *filename, int attrib, int param);

	void connect_screen(BITMAP *bmp);
	void connect_config(CONFIGURATION *c);

	void redraw_flag(int i);
	int colaps();

	void process_event();
	void terminal_beat();
};

#endif

