//class controls acces to rooms 

#ifndef SIRIEL_CLASS_MIDDLE_ROOM
#define SIRIEL_CLASS_MIDDLE_ROOM

#include <string>
#include <map>
#include <deque>

#include "cl_room.h"


using namespace std;

class MI_ROOM
{
	map<string, ROOM *>	rooms;
	string			last_name;
	ROOM*			last_room;
	char			zero_tile;
	int			layer_w, layer_h;
	public:
	
	void init();

	ROOM *get_room(string name);
	ROOM *create(string name);
	void destroy(string name);
	
	void tile_bg(string name, deque<string> &d);
	void tile_mid(string name, deque<string> &d);
	void tile_fg(string name, deque<string> &d);

	void layer_size(int w, int h);
	void layer_size(string name, int w, int h);
	void zero(char c);
	char zero();

	int select(string name);
	
	int tile_cw();
	int tile_ch();
	int tile_w();
	int tile_h();
	int tile(int l, int p); //returns tile on selected position
};

#endif

