//Widgets
#ifndef MI_WIDGET_CLASS
#define MI_WIDGET_CLASS

#include <string>
#include <map>

#include <allegro.h>

#include "cl_widget.h"

class MI_WIDGET {

	map<string, WIDGET *>	widget;		//wigets
	WIDGET *		awidget;
	BITMAP *		scr;

	public:
	
	void canvas(BITMAP *bmp);
	void init();
	
	void create(string s);
	void draw(string s);
	void draw();
	void draw_all();
	
	void message(string s);
	void message(string t, string s);
	
	void show();
	void hide();
	void hide_all();
	void property(string name, int val);
	void property(string wname, string name, int val);

};
#endif

