//Processing graphics

#include <allegro.h>

using namespace std;

#include <deque>
#include <iostream>

deque<BITMAP *> bitmap_sector(BITMAP *bmp, int x1, int y1, int x2, int y2, int sx, int sy)
{
	deque<BITMAP *> l;
	BITMAP *tmp;
	int a, b;

	for(a=y1; a!=y2+1; a++) {
		for(b=x1; b!=x2+1; b++) {
			tmp = create_bitmap(sx, sy);
			blit(bmp, tmp, (b-1)*sx, (a-1)*sy, 0, 0, sx, sy);
			l.push_back(tmp);
//			clear(screen)
//			draw_sprite(screen, tmp, 10, 10);
//			readkey();
		}
	}
	return l;
}

void destroy_bitmap_safe(BITMAP *b)
{
	cout<<"Destroying bitmap ... ";
	if(!b) {
		cout<<"already NULL bitmap"<<endl;
	} else {
		destroy_bitmap(b);
		cout << "ok" << endl;
	}
}

void destroy_bitmap_safe(BITMAP *b, char *name)
{
	cout << "[" << name << "]\t";
	destroy_bitmap_safe(b);
}
