#include <string>
using namespace std;

//Chops last character from string (perl:))
void chop(char *s)
{
	int i;
	i = strlen(s);
	if(i) {
		s[i-1] = 0;
	}
}

//Removes white spaces around word in string
string remove_spaces(string s)
{
	int i;
	int a = -1, b = s.length();
	
	if(b<1) { return s; }
	
	for(i=0;i!=b-1;i++) {
		if((s[i]!=' ') && (s[i]!='\t')) { 
			a = i;
			break; 
		}
	}

	if(a==-1) { a = 0; }

	for(i=b-1;i!=0;i--) {
		if((s[i]!=' ') && (s[i]!='\t')) {
			b = i+1;
			break;
		}
	}

	s = s.substr(a,b);
	return s;
			
}


//Check syntax and remove comentars beginning with #
//till end of line
int check_syntax(string &s)
{
	int i;

	i = s.find('#');
	if(i != -1) {
		s = s.substr(0, i);
	}

	if(((int)s.find('=')) == -1) {
		return 0;
	}
	
	return 1;
}

//returns value on n-th position in string
int string_value(string s, int n)
{
	int i;

	if(n<1) return -1;
	
	for(i=0; i!=n-1; i++) {
		s = s.substr(s.find(",")+1, s.length()-1);
	}	
	
	if(s.find(",")>0) {
		s = s.substr(0, s.find(","));
	}
	
//	cout<<"["<<s<<"]"<<endl;
	return atoi(s.c_str());
}



//parse string and fill int params with values (separated by colon)
void get_int(string s, int *x1, int *y1, int *x2, int *y2)
{
	*x1 = string_value(s,1);
	*y1 = string_value(s,2);
	*x2 = string_value(s,3);
	*y2 = string_value(s,4);
}

//converts string to int
int stoi(string text)
{
	return atoi(text.c_str());
}


string replace_all(string s, string src, string dst)
{
	int i;
	while((i = (int)s.find(src)) != -1) {
		s.replace(i,src.length(),dst);
	}
	return s;	
}

string remove_newline(string s)
{
	return replace_all(s, "\n","");
}
