//Music class - for playing audio files


#include "cl_music.h"

void MUSIC::init()
{
	music = NULL;
	music_player = NULL;
}

void MUSIC::play(string fname, string type)
{
	if(!music) {
		if(type == "it") {
			music = dumb_load_it(fname.c_str());
		}
		if(type == "xm") {
			music = dumb_load_xm(fname.c_str());
		}
		if(type == "s3m") {
			music = dumb_load_s3m(fname.c_str());
		}
		if(type == "mod") {
			music = dumb_load_mod(fname.c_str());
		}
	}

	if(music) {
		if(!music_player) {
			music_player = al_start_duh(music, 2, 0, 1, 4096, 22050);
			al_poll_duh(music_player);
		}
	} else {
		error("Music %s not found",fname.c_str());
	}
}

void MUSIC::cont()
{
	if(music_player) {
		al_poll_duh(music_player);
	}
}

void MUSIC::stop()
{
	if(music) {
		al_stop_duh(music_player);
		unload_duh(music);
		music = NULL;
		music_player = NULL;
	}
}




