//Animation class

#ifndef SIRIEL_ANIMATION_CLASS
#define SIRIEL_ANIMATION_CLASS

#include <allegro.h>
using namespace std;
#include <string>
#include <deque>
#include <map>
#include <iostream>

#include "define.h"
#include "variable.h"
#include "si_string.h"
#include "si_system.h"
#include "si_graphics.h"


//class for animated objects
class ANIM
{
	private:
	map<string, deque<BITMAP *> > data;
	BITMAP	*tbmp; //temporary bitmap
	DATAFILE *tdat; //temporary datafile object
	int	tsizex, tsizey; //temporary sizes

	public:
	void init();
	int split_image(BITMAP *bmp, map<string, string> ani, int sx, int sy);
	
	BITMAP *get(string name, int i);
	BITMAP *get(string name);
	
	deque<BITMAP *> getanimrow(string name);
	void getanimrow(deque<BITMAP *> &row, string name);
	int getcount(string &name);

	void open(string fname, string anifile, int sizex, int sizey);
	void load(string name, int x1, int y1, int x2, int y2);
	void close();

	
	void done();
};


#endif

