
#ifndef SIRIEL_CLASS_ROOM
#define SIRIEL_CLASS_ROOM

#include <string>
#include <deque>

#include "si_system.h"
#include "define.h"

using namespace std;

class ROOM
{

	public:
	int	tile_w, tile_h;		//size of tiles to build a map
	int	layer_w, layer_h;	//size - number of tiles in room
	int	zero_tile;		//lowest tile
	int	*layer[ROOM_LAYERS];	//layers of map

	void init();

	void create_layers();
	void destroy_layers();

	int  tile_line(int l, int i, string data);
	void tile_matrix(int l, deque<string> &d);
	void tile_bg(deque<string> &d);
	void tile_mid(deque<string> &d);
	void tile_fg(deque<string> &d);

	
	void tile_size(int x, int y);
	void layer_size(int w, int h);
	void layer_size();
	
	void zero(char c);
	char zero();
};


#endif

