//Help to commands

#ifndef INCLUDE_HELP_DATA
#define INCLUDE_HELP_DATA

#define HLP_OPEN_ANIM 	\
	"open_anim",\
	"Open animation file",\
	"Create handler to animation file and prepare it for reading"
	
#define HLP_LOAD_ANIM 	\
	"load_anim",\
	"Load animation file",\
	"Load data from animation file. Must be opened"
	
#define HLP_CLOSE_ANIM	\
	"close_anim",	\
	"Cloase animation file",\
	"Close animation file handler"
	
#define HLP_CREATE_LEVEL \
	"create_level",\
	"Create new level",\
	"Creates empty new level."
	
#define HLP_CREATE_OBJECT	\
	"create_object",\
	"Creates new object from specification",\
	"Syntax: create_object(\"name\", datastructure)"

#define HLP_DESTROY_OBJECT	\
	"destroy_object",\
	"Destroy specified object",\
	"Syntax: destroy_object(\"name\")"


#define HLP_DESTROY_ALL_OBJECTS	\
	"destroy_all_objects",\
	"Destroy all objects",\
	"Syntax: destroy_object()"

#define HLP_DEFAULT_LEVEL	\
	"default_level",\
	"Select default level to run when engine starts",\
	"Syntax: default_level('level_name')"

#define HLP_ECHO	\
	"echo",\
	"Print value",\
	"Syntax: echo(...)"

#define HLP_EXEC	\
	"exec",\
	"Execute script from specified file",\
	"Syntax: exec('filename')"

#define HLP_INCLUDE	\
	"include",\
	"Execute script from specified file",\
	"Syntax: include('filename')"

#define HLP_GAME_TYPE	\
	"game_type",\
	"Select game type and sets engine properties",\
	"Syntax: game_type('typename')"

#define HLP_MODIFY_XY	\
	"modify_xy",\
	"Move object to new x,y coordinates",\
	"Syntax: move_xy('objname',x,y)"

#define HLP_SET_ANIM_AS_TEXTURE	\
	"set_anim_as_texture",\
	"",\
	""

#define HLP_SET_DATASRC	\
	"set_datasrc",\
	"",\
	"Syntax: "

#define HLP_REM	\
	"rem",\
	"",\
	"Syntax: "


#define HLP_PLAY_MUSIC	\
	"play_music",\
	"",\
	"Syntax: "


#define HLP_STOP_MUSIC	\
	"stop_music",\
	"",\
	"Syntax: "

#define HLP_LOAD_SOUND	\
	"load_sound",\
	"",\
	"Syntax: "


#define HLP_PLAY_SOUND	\
	"play_sound",\
	"",\
	"Syntax: "


#define HLP_REG	\
	"reg",\
	"",\
	"Syntax: "


#define HLP_KILLENGINE	\
	"killengine",\
	"",\
	"Syntax: "


#define HLP_QUIT	\
	"quit",\
	"",\
	"Syntax: "


#define HLP_EXIT	\
	"exit",\
	"",\
	"Syntax: "


#define HLP_CREATE_WIDGET	\
	"create_widget",\
	"",\
	"Syntax: "


#define HLP_MESSAGE	\
	"message",\
	"Print text on screen",\
	"Syntax: message(text)       - print single text\n\
        message(title,text) - print text in window with title"


#define HLP_SET_AVATAR	\
	"set_avatar",\
	"",\
	"Syntax: "

#define HLP_MAP_ZERO	\
	"map_zero",\
	"",\
	"Syntax: "


#define HLP_MAP_DIMENSION	\
	"map_dimension",\
	"",\
	"Syntax: "


#define HLP_MIDDLE_MAP	\
	"middle_map",\
	"",\
	"Syntax: "


#define HLP_BACKGROUND_MAP	\
	"background_map",\
	"",\
	"Syntax: "


#define HLP_REDRAW	\
	"redraw",\
	"",\
	"Syntax: "


#define HLP_PRINT_MAP	\
	"print_map",\
	"",\
	"Syntax: "


#define HLP_HELP	\
	"help",\
	"",\
	"Syntax: "


#define HLP_CMD_EXPAND	\
	"expand",\
	"",\
	"Syntax: "


#define HLP_CMD_NOEXPAND	\
	"noexpand",\
	"",\
	"Syntax: "


#define HLP_VERSION	\
	"version",\
	"",\
	"Syntax: "

#define HLP_AUTHOR\
	"author",\
	"",\
	"Syntax: "


#define HLP_CHANGE_ROOM	\
	"change_room",\
	"Change actual room",\
	"Syntax: "


#define HLP_CREATE_ROOM	\
	"create_room",\
	"Create new room",\
	"Syntax: "


#define HLP_TILE_LIST	\
	"tile_list",\
	"Display list of tiles and appropritiate character",\
	"Syntax: no params"



#define HLP_	\
	"",\
	"",\
	"Syntax: "




#endif

