
#ifndef CLASS_MI_ANIM
#define CLASS_MI_ANIM

#include <map>
#include <string>

#include <allegro.h>

#include "cl_anim.h"
#include "cl_datadisc.h"

#include "mi_object.h"

using namespace std;

class MI_ANIM
{
	map<string, ANIM *>	image;	//all animations available in game
	ANIM			*aimage; // the last image
	DATADISC		*adatasrc;	//actual data source
	MI_OBJECT		*object;
	string			opened_image;	//name of image actualy opened by image parser

	public:
	void init();
	void actual_datasrc(DATADISC *d);
	void connect_object(MI_OBJECT *o);
	
	int create(string name);
	void actual(ANIM *b);
	ANIM *get(string name);
	void open(string name, string fname, int sizex, int sizey);
	void load(string name, int x1, int y1, int x2, int y2);
	void close(string name);
	void set_as_texture(string name, string aname);
};

#endif

