//middle level for datasource

#ifndef CLASS_MI_DATASRC
#define CLASS_MI_DATASRC

#include <string>
#include <map>

#include "cl_anim.h"
#include "cl_datadisc.h"

#include "mi_anim.h"
//#include "mi_level.h"

using namespace std;

class MI_DATASRC
{
	map<string, DATADISC *>	datasrc;//all data sources available in game
	map<string, DATASRC *>	datafiles;
	DATADISC		*adatasrc;
	MI_ANIM			*anim; //link to animation object
//	MI_LEVEL		*level;

	public:
	void init();
	void connect_anim(MI_ANIM *a);
//	void connect_level(MI_LEVEL *a);

	
	int create(string name);
	int create(string name, string fname);
	void set(string name);
	int add(string name, DATASRC *d);
	void print_info(string name);
	void actual(DATADISC *d);
	string fname(string s);
	string actual_fname();

	DATADISC *actual();
};

#endif


