//Siriel system functions

#ifndef SIRIEL_SYSTEM
#define SIRIEL_SYSTEM
#include <strings.h>
#include <stdio.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>

#include <string>
#include <iostream>
#include <allegro.h>
#include <map>
#include "ex_conalleg.h"
#define SYSTEM_TRUE	"TRUE"
using namespace std;

//Display error message
void error(char* formatstr, ...);
void error(string s);

void message(char* formatstr, ...);
void message(string s);

//wait till no key is pressed
void wait_no_key();
void wait();

void tst_key_init();
int tst_key(int k);

extern int console_visible;

class SYSTEM
{
	public:
	map<string, string> env;
	int argc;
	char **argv;

	void init();
	void set(int c, char **v);
	string get(string name);
	int exist(string name);
};

extern SYSTEM sys;


void terminal_init();
string terminal();
#endif
	
