
#ifndef SIRIEL_WRAPPER
#define SIRIEL_WRAPPER

extern "C" {
#include <lua.h>
#include <lualib.h>
#include <lauxlib.h>
}

#include <allegro.h>

using namespace std;

#include <map>
#include <string>
#include <iostream>
#include <deque>

#include "si_system.h"

#define LUA_STRING	4
#define LUA_NUMBER	3
#define LUA_TABLE	5

#define LUA_KEY		-2
#define LUA_VALUE	-1


int lget_int(lua_State *lstate, char *name);
const char *lget_str(lua_State *lstate, char *name);
const char *lget_str(lua_State *lstate, char *name, int index);

void get_table(lua_State *lstate, map < string, int > &numbers, map< string, string > &strings);
void get_table(lua_State *lstate, map < string, int > &numbers, map< string, string > &strings,
		map <string, deque<string> > &tables);
void get_array(lua_State *lstate, deque<string> &l);

const char *lget_arg_str(lua_State *lstate);
int lget_arg_int(lua_State *lstate);

int lpanic (lua_State *L);

int lget_argc(lua_State *lstate);

#endif

