//Middle level for datasource

#include "mi_datasrc.h"

void MI_DATASRC::init()
{
	anim = NULL;
//	level = NULL;
}

void MI_DATASRC::connect_anim(MI_ANIM *a)
{
	anim = a;
}
/*
void MI_DATASRC::connect_level(MI_LEVEL *a)
{
	level = a;
}*/

int MI_DATASRC::create(string name)
{
	DATADISC *spring;
	if(datasrc[name]) {
		message("Datadisc [%s] already exist. Skipping.", name.c_str());
	} else {
		spring = new DATADISC;
		spring->init();
		datasrc[name] = spring;
		actual(spring);
	}
	return 0;
}


DATADISC *MI_DATASRC::actual()
{
	return adatasrc;
}

void MI_DATASRC::actual(DATADISC *d)
{
	adatasrc = d;
	anim->actual_datasrc(d);
}

string MI_DATASRC::fname(string s)
{
	string a;
	a = adatasrc->filename();
	a = a + "#";
	a = a + s;
	return a;
}


int MI_DATASRC::create(string name, string fname)
{
	create(name);
	datasrc[name]->set_filename(fname);
	return 0;
}

void MI_DATASRC::set(string name)
{
	adatasrc = datasrc[name];
//	level->connect_datasrc(adatasrc);
	cout << "Actual datasource " << name << endl;
}


int MI_DATASRC::add(string name, DATASRC *d)
{
	datafiles[name] = d;
	return 1;
}

string MI_DATASRC::actual_fname()
{
	return adatasrc->filename();
}


void MI_DATASRC::print_info(string name)
{
	DATASRC *p;
	
	p = datafiles[name];
	
	message("Datadisc info");
	message("  Author: %s", p->author.c_str());
	message("  Title: %s", p->title.c_str());
	message("  Short name: %s", p->name.c_str());
	message("  Engine: %s", p->engine.c_str());
	message("  Internal: %d", p->internal);
}


